SearchWindowManager

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.util.client
Class SearchWindowManager

    java.lang.Object
      org.openswing.swing.util.client.SearchWindowManager

public class SearchWindowManager
extends java.lang.Object

Title: OpenSwing Framework

Description: Search window used in combo control or list control or grid control.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public Licen1se as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`SearchWindowManager(SearchControl inputControl)`

Method Summary
`void` | `hideSearchWindow()` Hide the search window.
`boolean` | `isSearchWindowVisible()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchWindowManager

    public SearchWindowManager(SearchControl inputControl)

Method Detail

### isSearchWindowVisible

    public final boolean isSearchWindowVisible()

  Returns:
    `true` if search window is currently visible, `false` otherwise

### hideSearchWindow

    public void hideSearchWindow()

  Hide the search window.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD